// Copyright 2020 LitLifeSoftware. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

/// A collection of Flutter widgets.
///
///
/// To use, import `package:lit_ui_lit/lit_ui_kit.dart`.
///
/// Dependencies used:
///
/// * package_info
/// * intl
///
/// To use the above mentioned dependencies, please include them
/// separatly on the `pubspec.yaml` of your project. These will not be
/// exported to avoid namespace issues.
library lit_ui_kit;

/// App bars
export 'app_bars.dart';

// Art
export 'art.dart';

/// Badges
export 'badges.dart';

/// Bottom navigation
export 'bottom_navigation.dart';

/// Buttons
export 'buttons.dart';

/// Collapsible card
export 'collapsible_card.dart';

/// Containers
export 'containers.dart';

/// Controllers
export 'controllers.dart';

/// Input
export 'input.dart';

/// Dialogs
export 'dialogs.dart';

/// Icons
export 'icons.dart';

/// Loading indicators
export 'loading_indicators.dart';

/// Models
export 'models.dart';

/// Page view
export 'pageview.dart';

/// Scaffold
export 'scaffold.dart';

/// Screens
export 'screens.dart';

/// Scrollbars
export 'scrollbars.dart';

/// Settings panel
export 'settings_panel.dart';

/// Sliders
export 'slider.dart';

/// Snackbars
export 'snackbars.dart';

/// Styles
export 'styles.dart';

/// Text
export 'text.dart';

/// Utility
export 'utility.dart';
